package com.proliferay.demo.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import com.proliferay.demo.model.Customer;

@Controller

public class FormController {

	@RequestMapping("/")
	public ModelAndView showHomePage() {
		return new ModelAndView("home", "command", new Customer());
	}

	@RequestMapping(value = "/addCustomer", method = RequestMethod.POST)
	public String addCustomer(@ModelAttribute Customer customer, ModelMap model) {
		model.addAttribute("firstName", customer.getFirstName());
		model.addAttribute("lastName", customer.getLastName());
		model.addAttribute("address", customer.getAddress());
		model.addAttribute("contact", customer.getContact());
		return "result";
	}
}
